Ir al contenido

Configurar el bot del tenant

PUT
/partner/tenants/{tenant_id}/bot-config
curl --request PUT \
--url https://api.overtaker.online/api/v1/partner/tenants/example/bot-config \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "tone": "example", "system_prompt_template": "example", "openai_model": "example", "session_timeout_hours": 1, "bot_memory_size": 1, "initial_message_enabled": true, "initial_message_text": "example" }'

Crea o actualiza la configuración del agente IA.

tenant_id
required
Tenant Id
string
Media type application/json
PartnerBotConfigUpsert
object
tone
Any of:
string
system_prompt_template
Any of:
string
openai_model
Any of:
string
session_timeout_hours
Any of:
integer
bot_memory_size
Any of:
integer
initial_message_enabled
Any of:
boolean
initial_message_text
Any of:
string
Example generated
{
"tone": "example",
"system_prompt_template": "example",
"openai_model": "example",
"session_timeout_hours": 1,
"bot_memory_size": 1,
"initial_message_enabled": true,
"initial_message_text": "example"
}

Successful Response

Media type application/json
PartnerBotConfigResponse
object
tenant_id
required
Tenant Id
string
tone
Any of:
string
openai_model
Any of:
string
session_timeout_hours
Any of:
integer
bot_memory_size
Any of:
integer
bot_role_id
Any of:
string
version
Version
integer
default: 1
status
Status
string
default: ACTIVE
Example
{
"version": 1,
"status": "ACTIVE"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}